Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMSimpleType

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.SOMUserDefinedType
                        |
                        +--com.bea.schema.SOMSimpleType

public class SOMSimpleType
extends SOMUserDefinedType

<simpleType> defines a simple user defined schema type

Simple Type definitions provide for:

- Establishing the value space and lexical space of a datatype, through the combined set of constraining facets specified in the definition;
- Attaching a unique name (actually a QName) to the value space and lexical space.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`` | `SOMSimpleType()`
`protected` | `SOMSimpleType(org.xml.sax.Attributes attrs, SOMObject parent)`
`` | `SOMSimpleType(java.lang.String name)`

Method Summary
`SOMList` | `add(SOMList list)`
`SOMRestriction` | `add(SOMRestriction restrict)`
`SOMUnion` | `add(SOMUnion p_union)`
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`SOMList` | `addList(SOMType type)` add a new SOMList constraint.
`SOMRestriction` | `addRestriction(SOMType type)` add a new SOMRestriction constraint.
`java.lang.String` | `createDefault()`
`java.util.Vector` | `getAllowedFacets()`
`SOMObject` | `getConstraint()` The generic constraint - for the type specific constraint, use getRestriction(), getList(), or getUnion().
`java.lang.String` | `getID()`
`SOMList` | `getList()` Access the object of this object.
`SOMRestriction` | `getRestriction()` Access the object of this object.
`SOMUnion` | `getUnion()` Access the object of this object.
`SOMObject` | `removeConstraint()` remove the previously set constraint.
`void` | `toXML(java.io.Writer rtn, int indent)`
`protected void` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMUserDefinedType
`addAnnotation, addAnnotation, addDocumentation, getAnnotation, getAttributes, getName, isElementalType, isUserDefinedType, removeAnnotation, setName`

Methods inherited from class com.bea.schema.type.SOMType
`getType`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMSimpleType

    public SOMSimpleType()

### SOMSimpleType

    public SOMSimpleType(java.lang.String name)

### SOMSimpleType

    protected SOMSimpleType(org.xml.sax.Attributes attrs,
                            SOMObject parent)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMType

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMObject

### removeConstraint

    public SOMObject removeConstraint()

  remove the previously set constraint. If a constraint was previously added, it will be removed from this tree and returned.

  Returns:
    the removed constraint element, or null if none was present

### addRestriction

    public SOMRestriction addRestriction(SOMType type)

  add a new SOMRestriction constraint. If a constraint was already set, it will be removed bofore the new restriction constraint is added.

  Parameters:
    `type` - the restriction base type
  Returns:
    the newly created restriction object

### addList

    public SOMList addList(SOMType type)

  add a new SOMList constraint. If a constraint was already set, it will be removed bofore the new list constraint is added.

  Parameters:
    `type` - the list item type
  Returns:
    the newly created list object

### add

    public SOMRestriction add(SOMRestriction restrict)

### add

    public SOMList add(SOMList list)

### add

    public SOMUnion add(SOMUnion p_union)

### getRestriction

    public SOMRestriction getRestriction()

  Access the object of this object. If the restriction is not set or the constraint for this simpleType is a union or list, null is returned.

  Returns:
    SOMRestriction object or null if no is present.

### getList

    public SOMList getList()

  Access the object of this object. If the list is not set or the constraint for this simpleType is a union or restriction, null is returned.

  Returns:
    SOMList object or null if no is present.

### getUnion

    public SOMUnion getUnion()

  Access the object of this object. If the union is not set or the constraint for this simpleType is a list or restriction, null is returned.

  Returns:
    SOMUnion object or null if no is present.

### getConstraint

    public SOMObject getConstraint()

  The generic constraint - for the type specific constraint, use getRestriction(), getList(), or getUnion(). The object returned will be null or an instance of SOMRestriction, SOMList, or SOMUnion.

  Returns:
    the constraint for this simpleType
  See Also:
    `getRestriction()`, `getList()`, `getUnion()`, `SOMRestriction`, `SOMList`, `SOMUnion`

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMType

### getAllowedFacets

    public java.util.Vector getAllowedFacets()

  Overrides:
    getAllowedFacets in class SOMType

### createDefault

    public java.lang.String createDefault()

### validate

    protected void validate(org.w3c.dom.Node element,
                            java.util.List errorList)

  Overrides:
    validate in class SOMUserDefinedType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)